<script lang="ts" setup>
import { ref } from "vue";
import { useProductStore } from "@/stores/Product";
const useProduct = useProductStore();

const products = ref(
  Array.from(Array(100).keys()).map((item) => {
    return {
      id: item,
      name: "Product " + (item + 1),
      price: (Math.floor(Math.random() * 100) + 1) * 10,
    };
  })
);
</script>
<template>
  <v-row>
    <v-col>
      <v-container style="height: 85vh; overflow: auto">
        <v-row>
          <v-col v-for="item of products" :key="item.id">
            <v-card max-width="400" class="text-center mx-auto">
              <v-card-title>{{ item.name }}</v-card-title>
              <v-card-text>
                <v-card-subtitle>{{ item.price }}</v-card-subtitle>
                <v-btn @click="useProduct.add(item.id, item.name, item.price)"
                  >ADD</v-btn
                >
              </v-card-text>
            </v-card>
          </v-col>
        </v-row>
      </v-container>
    </v-col>

    <v-col>
      <v-container style="overflow: auto; height: 70vh">
        <v-row>
          <v-table style="width: 100%; max-width: none">
            <thead>
              <tr>
                <th>id</th>
                <th>name</th>
                <th>price</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="item of useProduct.Selected" :key="item.id">
                <td>{{ item.id }}</td>
                <td>{{ item.name }}</td>
                <td>{{ item.price }}</td>
              </tr>
              <tr v-if="useProduct.Selected.length == 0">
                <td colspan="3" class="text-center">NO Data</td>
              </tr>
            </tbody>
          </v-table>
        </v-row>
      </v-container>
      <v-container style="font-size: 50px">
        Sum: {{ useProduct.total }}
      </v-container>
    </v-col>
  </v-row>
</template>
